Subject: Re: New time code miscalculates cpu usage

From: [email-masked] (Tony Breeds)
Date: Wed, 17 Oct 2007 16:07:48 +1000

On Tue, Oct 16, 2007 at 03:25:25PM -0500, Olof Johansson wrote:
> Hi,
> 
> Not sure when this started happening, but I wanted to report it. I'll
> start bisecting in a day or two if noone else has gotten around to
> looking at it:
> 
> $ echo "int main(void) { while(1); }" > test.c ; gcc test.c
> $ time ./a.out & sleep 2 ; killall a.out
> real    0m2.008s
> user    0m4.014s
> sys     0m0.002s
> 
> Seen on POWER5 and PA6T, haven't tried anything else yet.

For what it's worth, this is my bug.  I suspected it, and git bisect
confirmed it.I have an ugly work around now, but hope to have something
better out tomorrow.

Thanks Olof.

Yours Tony

  linux.conf.au        http://linux.conf.au/ || http://lca2008.linux.org.au/
  Jan 28 - Feb 02 2008 The Australian Linux Technical Conference!